--AH:ScriptId=63AF8B7C-B074-4C9E-A6EA-58DF2D1ECBBA

CREATE TABLE [ContainerSources]
(
	[ContainerSource_Id] INT IDENTITY(1, 1) NOT NULL,
	[Registry_Url] NVARCHAR(255) NOT NULL,
	[ContainerSource_Name] VARCHAR(50) NOT NULL,
	[Credential_Name] NVARCHAR(50) NULL,

	CONSTRAINT [PK__ContainerSources]
		PRIMARY KEY ([ContainerSource_Id]),

	CONSTRAINT [UQ__ContainerSources]
		UNIQUE ([ContainerSource_Name])
)

GO

CREATE TABLE [Containers]
(
	[Container_Id] INT IDENTITY(1, 1) NOT NULL,
	[Build_Id] INT NULL,
	[ContainerSource_Id] INT NULL,
	[AddedToBuildIn_Execution_Id] INT NULL,
	[Repository_Name] NVARCHAR(255) NOT NULL,
	[Tag_Name] NVARCHAR(100) NOT NULL,
	[Image_Digest] VARCHAR(200) NULL,
	[Active_Indicator] YNINDICATOR NOT NULL,

	CONSTRAINT [PK__Containers]
		PRIMARY KEY ([Container_Id]),

	CONSTRAINT [FK__Containers__Builds]
		FOREIGN KEY ([Build_Id])
		REFERENCES [Builds] ([Build_Id])
		ON DELETE CASCADE,

	CONSTRAINT [FK__Containers__ContainerSources]
		FOREIGN KEY ([ContainerSource_Id])
		REFERENCES [ContainerSources] ([ContainerSource_Id])
		ON DELETE SET NULL,

	CONSTRAINT [FK__Containers__Executions]
		FOREIGN KEY ([AddedToBuildIn_Execution_Id])
		REFERENCES [Executions] ([Execution_Id])
		ON DELETE SET NULL
)
