EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Applications_GetDeployables',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'Deployables_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the deployables for a specific application or for all applications.'
GO

IF OBJECT_ID('[Applications_GetDeployables]') IS NOT NULL DROP PROCEDURE [Applications_GetDeployables]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Applications_GetDeployables]
(
	@Application_Id INT
)
AS
BEGIN

	SET NOCOUNT ON 

	SELECT * 
	  FROM [Deployables_Extended]
     WHERE @Application_Id IS NULL
	    OR [Application_Id] = @Application_Id

END
GO

GRANT EXECUTE ON [Applications_GetDeployables] TO [BuildMasterUser_Role]
