EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Calendars_GetReleaseTargetDates',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'Calendars_ReleaseTargetDates',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the release target dates within the specified window, and match the specified criteria.'
GO

IF OBJECT_ID('[Calendars_GetReleaseTargetDates]') IS NOT NULL DROP PROCEDURE [Calendars_GetReleaseTargetDates]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Calendars_GetReleaseTargetDates]
(
    @Start_Date DATETIME,
    @End_Date DATETIME,
    @Application_Id INT = NULL,
    @Environment_Id INT = NULL,
    @Pipeline_Name VARCHAR(50) = NULL,
    @PipelineStage_Name VARCHAR(50) = NULL
)
AS
BEGIN

SET NOCOUNT ON

    SELECT * FROM [Calendars_ReleaseTargetDates]
    WHERE [Start_Date] < @End_Date
      AND [End_Date] > @Start_Date
      AND (@Application_Id IS NULL OR [Application_Id] = @Application_Id)
      -- AND (@Environment_Id IS NULL OR [Environment_Id] = @Environment_Id)
      AND (@Pipeline_Name IS NULL OR [Pipeline_Name] = @Pipeline_Name)
      -- AND (@PipelineStage_Name IS NULL OR [PipelineStage_Name] = @PipelineStage_Name)

END
GO

GRANT EXECUTE ON [Calendars_GetReleaseTargetDates] TO [BuildMasterUser_Role]
