EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Events_GetEventOccurrence',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataSet',
    /* DataTableNames_Csv      */ 'EventOccurences_Extended,EventOccurenceDetails',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Get a specific event occurrence along with its event details.'
GO

IF OBJECT_ID('[Events_GetEventOccurence]') IS NOT NULL DROP PROCEDURE [Events_GetEventOccurence]
GO
IF OBJECT_ID('[Events_GetEventOccurrence]') IS NOT NULL DROP PROCEDURE [Events_GetEventOccurrence]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Events_GetEventOccurrence]
(
	@EventOccurence_Id INT
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [EventOccurences_Extended]
	 WHERE [EventOccurence_Id] = @EventOccurence_Id

	SELECT *
	  FROM [EventOccurenceDetails]
	 WHERE [EventOccurence_Id] = @EventOccurence_Id

END
GO

GRANT EXECUTE ON [Events_GetEventOccurrence] TO [BuildMasterUser_Role]
