EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Executions_GetManualExecutionsToPurge',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'IdList',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Returns the IDs of all manual executions that can be purged.'
GO

IF OBJECT_ID('[Executions_GetManualExecutionsToPurge]') IS NOT NULL DROP PROCEDURE [Executions_GetManualExecutionsToPurge]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Executions_GetManualExecutionsToPurge]
(
	@Keep_Count INT
)
AS
BEGIN

SET NOCOUNT ON

    SELECT [Execution_Id]
	  FROM (SELECT [Execution_Id],
	               [Row] = ROW_NUMBER() OVER(ORDER BY [Execution_Id] DESC)
	          FROM [ManualExecutions]) A
	 WHERE [Row] > @Keep_Count

END
GO

GRANT EXECUTE ON [Executions_GetManualExecutionsToPurge] TO [BuildMasterUser_Role]
