EXEC [__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Issues_ReopenIssue',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Re-opens a BuildMaster issue.'
GO

IF OBJECT_ID('[Issues_ReopenIssue]') IS NOT NULL DROP PROCEDURE [Issues_ReopenIssue]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Issues_ReopenIssue]
(
    @Application_Id INT,
    @Issue_Id INT
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
    BEGIN TRANSACTION

    UPDATE [Issues]
       SET [Closed_Indicator] = 'N',
           [ClosedOn_Date] = NULL
     WHERE [Application_Id] = @Application_Id
       AND [Issue_Id] = @Issue_Id
       AND [IssueTracker_IssueId_Text] IS NULL

    COMMIT
END TRY BEGIN CATCH
    IF XACT_STATE()<>0 ROLLBACK
    EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [Issues_ReopenIssue] TO [BuildMasterUser_Role]
