EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Releases_GetRelease',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataSet',
    /* DataTableNames_Csv      */ 'Releases_Extended,ReleaseDeployables_Extended,ReleaseConfigurationFiles',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the details of a specified release, the deployables associated with the release, and the configuration file versions associated with the release.'
GO

IF OBJECT_ID('[Releases_GetRelease]') IS NOT NULL DROP PROCEDURE [Releases_GetRelease]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Releases_GetRelease]
(
	@Application_Id INT,
	@Release_Number RELEASENUMBER
)
AS
BEGIN

	SET NOCOUNT ON

	DECLARE @Release_Id INT
	SELECT @Release_Id = [Release_Id]
	  FROM [Releases]
	 WHERE [Application_Id] = @Application_Id
	   AND [Release_Number] = @Release_Number

	SELECT * 
	  FROM [Releases_Extended]
     WHERE [Release_Id] = @Release_Id

	SELECT *
	  FROM [ReleaseDeployables_Extended]
     WHERE [Release_Id] = @Release_Id
	ORDER BY [Deployable_Name]

	SELECT *
	  FROM [ReleaseConfigurationFiles]
     WHERE [Release_Id] = @Release_Id

END
GO

GRANT EXECUTE ON [Releases_GetRelease] TO [BuildMasterUser_Role]
